# $Revision: 1.23 $, $Date: 2010/11/16 14:28:40 $
%include	/usr/lib/rpm/macros.php
%define		_status		stable
%define		_pearname	Image_Barcode
Summary:	%{_pearname} - render barcodes
Summary(pl.UTF-8):	%{_pearname} - rysowanie kodów kreskowych
Name:		php-pear-%{_pearname}
Version:	1.1.1
Release:	1
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	40183315fdb62fe8cd758f33162b520d
URL:		http://pear.php.net/package/Image_Barcode/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-gd
Requires:	php-pear
Suggests:	php-pear-PHP_Compat
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# exclude optional dependencies
%define		_noautoreq	'pear(PHP/Compat.*)'

%description
With PEAR::Image_Barcode class you can create a barcode representation
of description a given string. This class uses GD functions because of
this the generated graphic can be any of GD supported supported image
types.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Przy pomocy klasy PEAR::Image_Barcode można tworzyć reprezentację
danego łańcucha w postaci kodu kreskowego. Ta klasa używa funkcji GD,
dzięki czemu generowana grafika może być w dowolnym formacie
obsługiwanym przez GD.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f %{_docdir}/%{name}-%{version}/optional-packages.txt ]; then
	cat %{_docdir}/%{name}-%{version}/optional-packages.txt
fi

%files
%defattr(644,root,root,755)
%doc install.log optional-packages.txt
%doc docs/%{_pearname}/docs/*
%{php_pear_dir}/.registry/*.reg
%dir %{php_pear_dir}/Image/Barcode
%{php_pear_dir}/Image/*.php
%{php_pear_dir}/Image/Barcode/*.php

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-Image_Barcode.spec,v $
Revision 1.23  2010/11/16 14:28:40  glen
- updated to: 1.1.1

Revision 1.22  2010/08/21 19:08:52  glen
- updated deps with pearize.sh
- release 3

Revision 1.21  2008/01/31 12:16:07  glen
- rel 2

Revision 1.20  2007-03-01 00:10:25  glen
- 1.1.0

Revision 1.19  2007/02/13 08:06:39  glen
- tabs in preamble

Revision 1.18  2007/02/12 01:06:24  baggins
- converted to UTF-8

Revision 1.17  2006/11/26 13:41:32  glen
- rel 3: use php(extension) virtuals

Revision 1.16  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.15  2006/03/29 22:29:07  glen
- rel 2 (rebuild with less deps)

Revision 1.14  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.13  2005/09/27 22:29:18  glen
- updated to 1.0.4 (no need to obsolete -tests, it was never on ftp)

Revision 1.12  2005/09/27 21:57:40  glen
- new pear packaging

Revision 1.11  2005/05/08 16:46:50  adamg
- updated to 1.0.1

Revision 1.10  2004/12/03 22:17:03  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.9  2004/05/30 13:13:49  adamg
- fixed english information about status of the package

Revision 1.8  2003/12/23 11:14:20  adamg
- updated to 0.5
- status changed to stable
- some minor cosmetics

Revision 1.7  2003/10/07 20:55:00  adamg
- do not use macros in URL

Revision 1.6  2003/08/31 20:49:10  adamg
- more specific URL

Revision 1.5  2003/05/28 08:58:39  adamg
- massive attack: added source0-md5

Revision 1.4  2003/05/25 06:25:20  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.3  2003/02/01 15:57:40  blues
- 0.4 - status changed to beta - may go to Ra updates now (not present now)

Revision 1.2  2003/01/03 09:49:10  qboosh
- real pl description

Revision 1.1  2003/01/02 23:55:58  blues
- initial release - alpha release
